Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Create an order [ROOT ORGANIZATION]

Prev Next
Post
/inventory/storeOrders

The order is created with the provided information.
This endpoint can only be invoked by the root organization.
Required permissions: READ_ORDER, WRITE_ORDER.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Body parameters

The store order detail object.

Expand All
object
orderNumber
string

The order public number.

ExampleORD-000050
organizationId
string

The id of the organization the order is assigned to.

Example661533adc04f90248aa739a2
parnterId
string

The id of the partner the order is assigned to.

Example661533adc04f90248aa739a2
providerName
string

The name of the organization or partner the order is assigned to.

ExampleACME
buyer
object (OrderBuyer)
name
string

The name of the buyer entity (customer or partner).

ExampleAbon Metal
code
string

Public, human-readable identifier for the buyer. Unlike "id", which is the immutable internal identifier, "code" is exposed externally and can be modified by clients. Must be unique.

ExampleC000050
email
string (email)

The buyer contact email.

Examplebuyer@example.com
customerId
string

The id of the customer if the buyer is a customer.

Example661fa918281ccf25619dc5cc
partnerId
string

The id of the partner if the buyer is a partner.

Example661fa918281ccf25619dc5cc
items
Array of object (OrderItem)

The list of items included in the order.

object
type
string Required

The type of the item.

Valid values[ "SPARE_PART" ]
ExampleSPARE_PART
itemId
string

The id of the item (e.g. a spare part).

Example66310cb2d8cab311e86d05d6
name
string Required

The name of the item.

ExampleBi-metal band saw blade 8 TPI
code
string Required

The public code of the order item (e.g. spare part serial).

ExampleSP-140506
quantity
integer Required

The quantity of the item.

Minimum1.0
Example2
unitPrice
number (double) Required

The item unit price.

Minimum0.0
Example14.9
total
number (double)

The total price of the order included items.

Example29.8
installationService
boolean

The flag indicating whether the buyer requests the installation service.

ExampleFalse
shippingLocation
object (ShippingLocation)
name
string Required

The location name.

ExampleStretford, Mosley Rd
country
string Required

The location country (e.g. UK).

ExampleUnited Kingdom
city
string Required

The location city.

ExampleStretford
zipCode
string Required

The location zip code.

Example23563
address
string Required

The location address.

ExampleMosley Rd
locationId
string

The location identifier.

Example663372d769e1d1672c7595eb
status
string

The order status.

Valid values[ "PENDING_ACCEPTANCE", "PENDING_SHIPPING", "SHIPPED", "DELIVERED" ]
ExamplePENDING_SHIPPING
Responses
201

Order created.

400

Request data not valid.

object
message
string

The error response.

ExampleBad request
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error